APT-SORTPKGS(1)

NOMBRE
apt-sortpkgs - Herramienta para ordenar los ficheros de índice de paquetes

SINOPSIS

apt-sortpkgs [-s] [-o=config_string] [-c=config_file] filename... {-v | --version} {-h | --help}

DESCRIPCIÓN

apt-sortpkgs toma un fichero de índice (índice de fuentes o índice de paquetes) y ordena los registros por nombre de paquete. También ordena los campos internos de cada registro de acuerdo a las reglas de ordenación internas.

Toda la salida se muestra por la salida estándar, la entrada debe ser un fichero ubicable.

OPCIONES

Todas las opciones de la línea de órdenes se pueden definir mediante el fichero de configuración, las descripciones indican la opción de la configuración a definir. Para opciones de tipo «boolean» puede invalidar el fichero de configuración utilizando algo como -f-,--no-f, -f=no u otras muchas variaciones.

-s, --source
    Utililza el orden por el campo de índice de fuentes. Opción de configuración: APT::SortPkgs::Source.

-h, --help
    Muestra un mensaje corto sobre el uso.

-v, --version
    Muestra la versión del programa.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Fichero de configuración: Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración predeterminado y, después, este fichero de configuración. Si necesita que ciertas opciones de configuración se definan antes que el análisis de los de los ficheros de configuración predeterminados, defina un fichero con la variable de entorno APT_CONFIG. Consulte apt.conf(5) para información sobre la sintaxis.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

VÉASE TAMBIÉN

apt.conf(5)

DIAGNÓSTICOS

apt-sortpkgs devuelve cero si no hay ningún error, y el valor 100 en caso de error.

BUGS

Página de errores de APT[1]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2012 .

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTORES

Jason Gunthorpe

Equipo de APT

NOTAS

1.  Página de errores de APT
    https://bugs.debian.org/src:apt